<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Concession</title>
    <style>
        table {
            border-collapse: collapse;
            width: 100%;
        }
        th, td {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }
        th {
            background-color: #f2f2f2;
        }
        .add-button {
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <h1>Liste des véhicules</h1>
    <button class="add-button" onclick="window.location.href='/add_vehicle'">Ajouter</button>
    <table>
        <thead>
            <tr>
                <th>Marque</th>
                <th>Modèle</th>
                <th>VIN</th>
                <th>Année</th>
                <th>Kilométrage</th>
            </tr>
        </thead>
        <tbody>
            {% for vehicle in vehicles %}
            <tr>
                <td>{{ vehicle.brand }}</td>
                <td>{{ vehicle.model }}</td>
                <td>{{ vehicle.vin }}</td>
                <td>{{ vehicle.year }}</td>
                <td>{{ vehicle.mileage }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</body>
</html>
